diff --git a/feeds.conf.default b/feeds.conf.default
index fc679335e0e47fd66f7660355e5eb29111e6cfb4..50ae67cb9dba99acd9745732fbd349b265ae63fd 100644
--- a/feeds.conf.default
+++ b/feeds.conf.default
@@ -1,8 +1,8 @@
-src-git packages https://git.openwrt.org/feed/packages.git
-src-git luci https://git.openwrt.org/project/luci.git
-src-git routing https://git.openwrt.org/feed/routing.git
-src-git telephony https://git.openwrt.org/feed/telephony.git
-#src-git video https://github.com/openwrt/video.git
-#src-git targets https://github.com/openwrt/targets.git
-#src-git oldpackages http://git.openwrt.org/packages.git
+src-git-full packages https://git.openwrt.org/feed/packages.git
+src-git-full luci https://git.openwrt.org/project/luci.git
+src-git-full routing https://git.openwrt.org/feed/routing.git
+src-git-full telephony https://git.openwrt.org/feed/telephony.git
+#src-git-full video https://github.com/openwrt/video.git
+#src-git-full targets https://github.com/openwrt/targets.git
+#src-git-full oldpackages http://git.openwrt.org/packages.git
 #src-link custom /usr/src/openwrt/custom-feed
diff --git a/scripts/feeds b/scripts/feeds
index d8bbd48663511e598eefbc61c646faf5ca685422..aee73e793f54ecbea6da8fab98e936a91a9ceb8a 100755
--- a/scripts/feeds
+++ b/scripts/feeds
@@ -167,8 +167,8 @@ my %update_method = (
 		'init'          => "git clone '%s' '%s'",
 		'init_branch'   => "git clone --branch '%s' '%s' '%s'",
 		'init_commit'   => "git clone '%s' '%s' && cd '%s' && git checkout -b '%s' '%s' && cd -",
-		'update'	=> "git pull --ff",
-		'update_force'	=> "git pull --ff || (git reset --hard HEAD; git pull --ff; exit 1)",
+		'update'	=> "git pull --ff-only",
+		'update_force'	=> "git pull --ff-only || (git reset --hard HEAD; git pull --ff-only; exit 1)",
 		'post_update'	=> "git submodule update --init --recursive",
 		'controldir'	=> ".git",
 		'revision'	=> "git rev-parse --short HEAD | tr -d '\n'"},